%define fname	cssmin

Name:       python-cssmin
Summary:    A Python port of the YUI CSS compression algorithm
Version:    0.2.0
Release:    %mkrel 14
URL:        https://github.com/zacharyvoase/cssmin
Source0:    https://pypi.python.org/packages/source/c/%{fname}-%{version}.tar.gz
Group:	    Development/Python
License:    BSD
BuildRequires:  python3dist(setuptools)
BuildArch:  noarch

%description
A Python port of the YUI CSS compression algorithm. The library can be used for
merging and compressing CSS files.

%package -n python3-%{fname}
Summary:  A Python port of the YUI CSS compression algorithm
%{?python_provide:%python_provide python3-%{fname}}

%description -n python3-%{fname}
A Python port of the YUI CSS compression algorithm. The library can be used for
merging and compressing CSS files.

%prep
%autosetup -n %{fname}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{fname}
%doc PKG-INFO
%{python3_sitelib}/%{fname}*
%{_bindir}/cssmin*
%{python3_sitelib}/__pycache__/cssmin.*.py*



%changelog
* Wed Mar 23 2022 umeabot <umeabot> 0.2.0-14.mga9
+ Revision: 1823875
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 0.2.0-13.mga9
+ Revision: 1785503
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 0.2.0-12.mga9
+ Revision: 1732630
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.2.0-11.mga8
+ Revision: 1535544
- Mageia 8 Mass Rebuild

* Sat Oct 12 2019 tv <tv> 0.2.0-10.mga8
+ Revision: 1452152
- rebuild for python-3.8
- drop python2 subpkg

* Tue Jan 08 2019 shlomif <shlomif> 0.2.0-9.mga7
+ Revision: 1352305
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.2.0-8.mga7
+ Revision: 1288556
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Create and use py3dir
- Renamed python-cssmin to python2-cssmin

* Sat Aug 05 2017 pterjan <pterjan> 0.2.0-7.mga7
+ Revision: 1135353
- Rebuild for python 3.6

* Fri Feb 19 2016 umeabot <umeabot> 0.2.0-6.mga6
+ Revision: 970562
- Mageia 6 Mass Rebuild

* Wed Oct 07 2015 spuhler <spuhler> 0.2.0-5.mga6
+ Revision: 887194
- rebuild with new python-3.5

* Sun Sep 20 2015 spuhler <spuhler> 0.2.0-4.mga6
+ Revision: 882003
- added the description
- cleaned up spec
 * renamed python2-cssmin to python-cssmin

* Sun Sep 20 2015 spuhler <spuhler> 0.2.0-2.mga6
+ Revision: 881681
- removed the lines %%{pythonx_sitelib}/*egg-info
  * seems they are now in the macros

* Fri Sep 18 2015 spuhler <spuhler> 0.2.0-1.mga6
+ Revision: 880268
- first build
- imported package python-cssmin


* Mon Feb 10 2014 Martin Krizek <mkrizek@redhat.com> - 0.2.0-1
- Update to 0.2.0
- Add setuptools as requires
- Rename /usr/bin/cssmin (#1048622)

* Tue Oct 15 2013 Martin Krizek <mkrizek@redhat.com> - 0.1.4-6
- Fix building on f20 and higher

* Wed Oct 09 2013 Martin Krizek <mkrizek@redhat.com> - 0.1.4-5
- Add python3-setuptools as BuildRequires

* Tue Oct 08 2013 Martin Krizek <mkrizek@redhat.com> - 0.1.4-4
- Describe the package in more detail

* Mon Oct 07 2013 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.1.4-3
- Add python3 subpackage and modify %%check section

* Mon Oct 07 2013 Martin Krizek <mkrizek@redhat.com> - 0.1.4-2
- Add python3-devel as dep
- Add check section

* Tue Oct 01 2013 Martin Krizek <mkrizek@redhat.com> - 0.1.4-1
- Initial packaging
